local Color1 = color(Var "Color1");
local stretchBG = PREFSMAN:GetPreference("StretchBackgrounds");

local t = Def.ActorFrame {
	LoadActor(Var "File1") .. {
		OnCommand=function(self)
			self:position(0);
			if stretchBG then
				(cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;scaletofit,0,0,SCREEN_RIGHT,SCREEN_BOTTOM;loop,false;effectclock,"music"))(self);
			else
				(cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;stretchto,0,0,SCREEN_RIGHT,SCREEN_BOTTOM;loop,false;effectclock,"music"))(self);
			end;
		end;
		GainFocusCommand=cmd(play);
		LoseFocusCommand=cmd(pause);
	};
};

return t;
